{%load static%}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Compose Message</title>
    <style>
        .header {
            text-align: center;
            color: white;
            font-size: 20px;
            font-family: sans-serif;
            font-weight: normal;
            padding: 20px;
        }

        body {
            background-color: rgb(41, 41, 41);
            color: white;
            border-radius: 10px;
        }

        * {box-sizing: border-box;}

        input[type=text], select, textarea {
            width: 100%;
            padding: 12px;
            border: 1px solid #ccc;
            font-size: 0.95em;
            font-family: sans-serif;
            border-radius: 10px;
            box-sizing: border-box;
            margin-top: 6px;
            margin-bottom: 16px;
            resize: vertical;
        }

        input[type=submit] {
            background-color: rgb(233, 233, 233);
            font-size: 0.95em;
            font-family: sans-serif;
            font-weight: bold;
            color: rgb(41, 41, 41);
            padding: 12px 20px;
            border: none;
            border-radius: 10px;
            cursor: pointer;
        }

        input[type=submit]:hover {
            background-color: rgb(207, 207, 207);
        }

        .container {
            margin-top: 15px;
            background-color: rgb(248, 248, 248);
            font-size: 0.95em;
            font-family: sans-serif;
            font-weight: bold;
            color: rgb(41, 41, 41);
            padding: 30px;
            border-radius: 20px 20px 0 0;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
        }
    </style>
</head>
<body>
    {% include "lab4_navbar.html" %}

    <div class="header">
        <h1>New Message</h1>
        <p>“When people talk, listen completely. Most people never listen.”</p>
        <p></p><small>-Ernest Hemingway</small></p>
    </div>

    <form action="" method="POST">
        {% csrf_token %}
        <br>
        <div class="container">
            {{ form.as_p }}
            <input type="submit" value="Submit">
        </div>
    </form>
</body>
</html>
